#
#	Makefile for Edit
# 
TOP = ../../..

# Applications to be built
APPS = \
Edit \

# Files to be compiled for each application
Edit_OBJS = \
Edit.o \
Document.o \
DocumentReadWrite.o \
TextFinder.o \
Controller.o

$(TARGET)_PRINCIPAL_CLASS = Controller

# Resource files to be copied into the app's resources directory
Edit_RESOURCES = Resources/text.tiff $(TOP)/README Resources/Edit.tiff \
					
#
#	Include Makefiles 
# 
include $(TOP)/Makefiles/app.make


all::								# remove app from parent dir if it exists
									# and then move app to parent dir 
	if [ -d ../Edit.app ]; then \
		rm -rf ../Edit.app; \
	fi								
	if [ -d ./Edit.app ]; then \
	    mv ./Edit.app ..; \
	fi
